Create Mcp Server

Create Mcp Server
Create a new MCP server configuration.

This method allows you to create a new MCP server configuration.

Request
URI
POST
https://{api_host}/api/v1/control/mcp-servers
COPY
Request Body
McpServerCreateRequest of type(s) application/json
Required

Show optional properties

{
    "url": "string",
    "transport": "string"
}
{
    "name": "string",
    "description": "string",
    "documentation_url": "string",
    "headers": [
        {
            "name": "string",
            "value": "string",
            "is_secret": false
        }
    ],
    "url": "string",
    "transport": "string"
}
string
name
Optional

Name of the MCP server.

string
description
Optional

Description of the MCP server.

string
documentation_url
Optional

The location of the MCP server's API documentation.

array of object
headers
Optional

A list of HTTP headers for the MCP server.

string As uri As uri
url
Required
Constraints: minLength: 1

Base URL to access the MCP server.

string
transport
Required

MCP server communication transport protocol

Possible values are : STREAMABLE_HTTP, SSE,
Authentication
This operation uses the following authentication methods.
Responses
201

Successful Response

Returns McpServer of type(s) application/json
{
    "name": "string",
    "description": "string",
    "documentation_url": "string",
    "url": "string",
    "transport": "string",
    "id": "string",
    "object": "string",
    "created_at": 0,
    "availability": "string",
    "last_available_at": 0,
    "last_updated_at": 0
}
string
name
Optional

Name of the MCP server.

string
description
Optional

Description of the MCP server.

string
documentation_url
Optional

The location of the MCP server's API documentation.

string As uri As uri
url
Required
Constraints: minLength: 1

Base URL to access the MCP server.

string
transport
Required

MCP server communication transport protocol

Possible values are : STREAMABLE_HTTP, SSE,
string As uuid As uuid
id
Required

id

string
object
Optional
Constraints: default: mcp_server

Object type, which is always mcp_server.

integer
created_at
Required

Unix timestamp (in seconds) when the MCP server entry was created.

string
availability
Required

Availability status of an MCP server.

Possible values are : AVAILABLE, UNAVAILABLE, PENDING,
integer
last_available_at
Required

Unix timestamp (in seconds) when the MCP server was reachable.

integer
last_updated_at
Required

Unix timestamp (in seconds) when the MCP server entry was last updated.


422

Validation Error

Returns HTTPValidationError of type(s) application/json
{
    "detail": [
        {
            "loc": [
                {}
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
array of object
detail
Optional

detail


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"url":"string","transport":"string"}' https://{api_host}/api/v1/control/mcp-servers